From: Bernd Waibel <waebbl-gentoo@posteo.net>
Date: Thu, 28 Oct 2021 11:34:16 +0200
Subject: [PATCH] add consistency for NumPy find_package call

Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>

diff --git a/openvdb/openvdb/python/CMakeLists.txt b/openvdb/openvdb/python/CMakeLists.txt
index b473beb..b468d4f 100644
--- a/openvdb/openvdb/python/CMakeLists.txt
+++ b/openvdb/openvdb/python/CMakeLists.txt
@@ -94,7 +94,7 @@ else()
   OPENVDB_CHECK_PYTHON_VERSION(${Python_VERSION} ${Python_INCLUDE_DIRS})
 
   if(USE_NUMPY)
-    find_package(Python QUIET COMPONENTS NumPy)
+    find_package(Python QUIET COMPONENTS ${OPENVDB_PYTHON_REQUIRED_COMPONENTS} NumPy)
     if(NOT TARGET Python::NumPy)
         message(FATAL_ERROR "Could NOT find NumPy (Required is at least version "
           "\"${MINIMUM_NUMPY_VERSION}\")"
-- 
2.33.1
